Subject: Re: [git pull] Please pull powerpc.git next branch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 26 Nov 2012 09:26:29 +1100

On Sun, 2012-11-25 at 07:27 -0600, Kumar Gala wrote:

Next time, put a little message with "highlights" that I can include in
the merge commit, that's how we tend to do things nowadays :-)

Cheers,
Ben.

> The following changes since commit cedddd812a79a4fda3885a15711aee3de78c4a24:
> 
>   powerpc: Disable relocation on exceptions when kexecing (2012-11-15 15:08:08 +1100)
> 
> are available in the git repository at:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/galak/powerpc.git next
> 
> for you to fetch changes up to 1723d90915d4689fa2e8cd4151d45ea38c96cb99:
> 
>   powerpc/dma/raidengine: add raidengine device (2012-11-25 07:19:51 -0600)
> 
> ----------------------------------------------------------------
> Jia Hongtao (1):
>       powerpc/fsl-pci: Add PCI controller ATMU PM support
> 
> Timur Tabi (2):
>       drivers/virt: the Freescale hypervisor driver doesn't need to check MSR[GS]
>       powerpc/86xx: fsl_pcibios_fixup_bus requires CONFIG_PCI
> 
> Tushar Behera (1):
>       powerpc/85xx: p1022ds: Use NULL instead of 0 for pointers
> 
> Varun Sethi (1):
>       powerpc/iommu/fsl: Add PAMU bypass enable register to ccsr_guts struct
> 
> Xuelin Shi (1):
>       powerpc/dma/raidengine: add raidengine device
> 
> York Sun (1):
>       powerpc/mpc85xx: Change spin table to cached memory
> 
>  .../devicetree/bindings/powerpc/fsl/raideng.txt    |   81 +++++++++++++++++++
>  arch/powerpc/boot/dts/fsl/p5020si-post.dtsi        |    1 +
>  arch/powerpc/boot/dts/fsl/p5020si-pre.dtsi         |    6 ++
>  arch/powerpc/boot/dts/fsl/qoriq-raid1.0-0.dtsi     |   85 ++++++++++++++++++++
>  arch/powerpc/include/asm/fsl_guts.h                |    4 +-
>  arch/powerpc/platforms/85xx/p1022_ds.c             |    2 +-
>  arch/powerpc/platforms/85xx/smp.c                  |   49 ++++++++---
>  arch/powerpc/platforms/86xx/mpc8610_hpcd.c         |    2 +
>  arch/powerpc/sysdev/fsl_pci.c                      |   37 ++++++++-
>  drivers/virt/fsl_hypervisor.c                      |    3 -
>  10 files changed, 250 insertions(+), 20 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/powerpc/fsl/raideng.txt
>  create mode 100644 arch/powerpc/boot/dts/fsl/qoriq-raid1.0-0.dtsi